package cn.com.qmth.examcloud.core.oe.student.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.core.oe.student.api.OeStudentExamRecordCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.DeleteExamAudioAnswerTempReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamSessionInfoReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetQrCodeReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetStudentOnlineExamInfoReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamSessionInfoResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetQrCodeResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetStudentOnlineExamInfoResp;
import cn.com.qmth.examcloud.web.redis.RedisClient;

@Service("oeStudentExamRecordCloudService")
public class OeStudentExamRecordCloudServiceClient extends AbstractCloudClientSupport
		implements
			OeStudentExamRecordCloudService {

	private static final long serialVersionUID = 3904195239759933649L;

	@Override
	public void cleanExamRecords() {
		
		post("examRecord/cleanExamRecords");
	}

	@Override
	public GetQrCodeResp getQrCode(GetQrCodeReq req) {
		return post("examRecord/getQrCode",req,GetQrCodeResp.class);
	}

	@Override
	public GetExamSessionInfoResp getExamSessionInfo(GetExamSessionInfoReq req) {
		return post("examRecord/getExamSessionInfo",req,GetExamSessionInfoResp.class);
	}
	
	@Override
	public GetStudentOnlineExamInfoResp getStudentOnLineExamInfo(GetStudentOnlineExamInfoReq req) {
		return post("examRecord/getStudentOnLineExamInfo",req,GetStudentOnlineExamInfoResp.class);
	}

}
